// File generated from our OpenAPI spec

'use strict';

const CppResource = require('../CppResource');
const cppMethod = CppResource.method;

module.exports = CppResource.extend({
  path: 'customers',

  create: cppMethod({
    method: 'POST',
    path: '/create',
  }),

  // retrieve: cppMethod({
  //   method: 'GET',
  //   path: '/{customer}',
  // }),

  // update: cppMethod({
  //   method: 'POST',
  //   path: '/{customer}',
  // }),

  // list: cppMethod({
  //   method: 'GET',
  //   path: '',
  //   methodType: 'list',
  // }),

  // del: cppMethod({
  //   method: 'DELETE',
  //   path: '/{customer}',
  // }),

  // deleteDiscount: cppMethod({
  //   method: 'DELETE',
  //   path: '/{customer}/discount',
  // }),

  // listPaymentMethods: cppMethod({
  //   method: 'GET',
  //   path: '/{customer}/payment_methods',
  //   methodType: 'list',
  // }),

  // createBalanceTransaction: cppMethod({
  //   method: 'POST',
  //   path: '/{customer}/balance_transactions',
  // }),

  // retrieveBalanceTransaction: cppMethod({
  //   method: 'GET',
  //   path: '/{customer}/balance_transactions/{transaction}',
  // }),

  // updateBalanceTransaction: cppMethod({
  //   method: 'POST',
  //   path: '/{customer}/balance_transactions/{transaction}',
  // }),

  // listBalanceTransactions: cppMethod({
  //   method: 'GET',
  //   path: '/{customer}/balance_transactions',
  //   methodType: 'list',
  // }),

  // createSource: cppMethod({
  //   method: 'POST',
  //   path: '/{customer}/sources',
  // }),

  // retrieveSource: cppMethod({
  //   method: 'GET',
  //   path: '/{customer}/sources/{id}',
  // }),

  // updateSource: cppMethod({
  //   method: 'POST',
  //   path: '/{customer}/sources/{id}',
  // }),

  // listSources: cppMethod({
  //   method: 'GET',
  //   path: '/{customer}/sources',
  //   methodType: 'list',
  // }),

  // deleteSource: cppMethod({
  //   method: 'DELETE',
  //   path: '/{customer}/sources/{id}',
  // }),

  // verifySource: cppMethod({
  //   method: 'POST',
  //   path: '/{customer}/sources/{id}/verify',
  // }),

  // createTaxId: cppMethod({
  //   method: 'POST',
  //   path: '/{customer}/tax_ids',
  // }),

  // retrieveTaxId: cppMethod({
  //   method: 'GET',
  //   path: '/{customer}/tax_ids/{id}',
  // }),

  // listTaxIds: cppMethod({
  //   method: 'GET',
  //   path: '/{customer}/tax_ids',
  //   methodType: 'list',
  // }),

  // deleteTaxId: cppMethod({
  //   method: 'DELETE',
  //   path: '/{customer}/tax_ids/{id}',
  // }),
});
